Skip to content

3DS challenge
Webhook

Request

Triggered when a customer initiates a push notification for 3DS. The provided information can be used to send a push notification to the customer's mobile app.

  • Event type: cards#3ds-challenge
  • Profile level subscriptions: Not Supported
  • Application level subscriptions: Supported

Events may not be delivered in the order they occurred. Use data.occurred_at to reconcile the order. See the Event ordering guide for details.

See the Webhooks guide for setup instructions, signature verification, and best practices.

Headers
X-Signature-SHA256string

RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.

Example:t7FMhk3OARMgwqz0LJXO...
X-Delivery-Idstring, (uuid)

Unique identifier for this webhook delivery attempt.

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890
X-Test-Notificationboolean

Present with the value true if this is a test notification sent to verify your callback URL during subscription setup.

Example:true
Bodyapplication/json
schema_versionstring

Version of the event schema. Determined by the schema_version on your webhook subscription.

Value:"4.0.0"
Example:"4.0.0"
Discriminator
subscription_idstring, (uuid)

ID of the webhook subscription that triggered this event.

Example:"ec6d37c2-4611-457a-b210-d1a5f4e354c7"
event_typestring

Event type identifier

Example:"cards#3ds-challenge"
sent_atstring, (date-time)

Timestamp when the event was sent.

Example:"2024-09-05T06:47:15.123Z"
dataobject
Payload
{ "schema_version": "4.0.0", "subscription_id": "ec6d37c2-4611-457a-b210-d1a5f4e354c7", "event_type": "cards#3ds-challenge", "sent_at": "2024-09-05T06:47:15.123Z", "data": { "resource": { "client_id": "tw-test-card-issuance", "card_token": "3ab81206-d258-4caf-cea5-60067ba82404", "profile_id": 29751964, "type": "card" }, "challenge_expires_after": 300, "occurred_at": "2024-09-05T06:47:15.789Z", "challenge_method": "PUSH", "transaction": { "reference": "148990660", "channel": "browser", "merchant": {}, "money_value": {} } } }

Responses

Return any 2xx status to acknowledge receipt of the event.

Bodyapplication/json
statusstring
Example:"ok"
Response
{ "status": "ok" }